## ros-kinetic-ainstein-radar-tools 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
set(CMAKE_CXX_STANDARD 11)

project(ainstein_radar_tools)

find_package(catkin REQUIRED COMPONENTS
roscpp
sensor_msgs
cv_bridge
pcl_ros
roscpp
std_msgs
image_transport
image_geometry 
ainstein_radar_msgs
ainstein_radar_filters
vision_msgs
)

catkin_package()

include_directories(
 include
 ${catkin_INCLUDE_DIRS}
 )

add_executable(radar_camera_validation_node src/radar_camera_validation_node.cpp src/radar_camera_validation.cpp)
add_dependencies(radar_camera_validation_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(radar_camera_validation_node ${catkin_LIBRARIES})

add_executable(radar_camera_fusion_node src/radar_camera_fusion_node.cpp src/radar_camera_fusion.cpp)
add_dependencies(radar_camera_fusion_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(radar_camera_fusion_node ${catkin_LIBRARIES})

install(TARGETS
  radar_camera_validation_node radar_camera_fusion_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

## Install project namespaced headers
install(DIRECTORY include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-kinetic-ainstein-radar-tools (3.0.1-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 11 Feb 2020 06:00:00 -0000

ros-kinetic-ainstein-radar-tools (3.0.0-1xenial) xenial; urgency=high

  * Major refactor, add conversion header and nodelets
    Refactored the conversion utilities to live within a namespace instead
    of the radar to pointcloud class, changed their usage in all dependent
    files.
    Added nodelets for the passthrough and radar to pointcloud filters,
    tested on K79 data. Removed old nodelets which weren't being built
    properly.
  * Fix radar camera fusion output image and launches
    Fixed the name of the radar+camera fusion class' output image topic to
    be scoped within a new private image transport instance, and fixed the
    launch files to use the correct topic name.
  * Minor, fix launch for radar camera val
  * Minor fixes to radar+camera fusion launch and node
    Fixed the radar+camera fusion launch file to use the updated topic
    names for radar and camera data. Also fixed the fusion class itself to
    prevent crashing when empty bounding box arrays are processed. This
    node is still intended for use with the tracking filter.
  * Fix multiple target rendering without SNR alpha
    Fixed rendering multiple target rectangles when the SNR-based alpha is
    not used for blending. Now renders all targets instead of only the
    first one.
    Also fixed a few small issues with other files.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 06 Feb 2020 06:00:00 -0000

ros-kinetic-ainstein-radar-tools (2.0.2-1xenial) xenial; urgency=high

  * Use RadarInfo for sizing validation 2d bounding box
    Changed the radar-camera validation node, which draws 2d bounding boxes
    on the input image corresponding to the radar sensor's specifications,
    to use the actual RadarInfo message assumed to be published by any
    radar which publishes data. Needs testing on hardware.
  * Separate radar camera validation class from node
  * Rename radar camera test node, update launch files
    Renamed the radar camera "test" node to rdara camera "validation" and
    updated launch files for T79 and added one for K79. Testing again with
    K79 to verify this still works and get screenshots for wiki tutorials.
    In the future, should separate radar camera validation class from the
    node for portability, same as radar camera fusion class/node setup.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 19 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar-tools (2.0.1-1xenial) xenial; urgency=high

  * Add vision_msgs as ainstein_radar_tools dependency
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar-tools (2.0.0-1xenial) xenial; urgency=high

  * Add changelog for new subpkg ainstein_radar_tools
  * Add 3d bounding box output from radar camera fusion
    Added 3d bounding box publishing from the radar camera fusion class
    which uses the radar tracking filter 2d bounding box (assuming it is
    published) to get the width and depth of the object and uses the object
    height from the object detector (optionally also uses the object
    detector reported width instead of radar data). This is done by
    projecting the 2d image bounding box into 3d space at the distance
    of the tracked target.
  * Add working radar/camera fusion using TensorFlow
    Added a working radar/camera fusion or "cross-validation" class which
    annotates objects detected from a camera image using a pre-trained
    TensorFlow-based 2d object detector with radar information for all
    detected objects which overlap with radar data.
    Functionality only has "runtime dependencies" on the TensorFlow object
    detector in the sense that fusion is driven by radar, camera, and
    detected object callbacks.  The fusion node is also prevented from
    running until the object detector node advertises a service indicating
    that it's ready. Finally, the label map from object index to string
    name is expected to be set in the parameter server as a dictionary by
    the object detector. The object detector itself could therefore be
    anything which outputs vision_msgs/Detection2DArray messages,
    advertises an "is ready" service and sets the label "database" (map)
    in the parameter server.
    For an example on how to use T79 with a RealSense d435 (RGB camera
    only) and set the correct topic/service/parameter mappings, see the
    launch file added in this commit.
  * Developing radar+camera cross-validation "fusion"
    Testing a new node for radar+camera cross-validation using pre-trained
    TensorFlow models for 2d object detection combined with radar data to
    display bounding boxes associated with radar detections. WIP.
  * Add new ainstein_radar_tools subpkg
    Added a new ainstein_radar_tools subpackage to ainstein_radar which is
    meant to store tools and utilities based on the other subpackages but
    not core to development, for example sensor fusion and SLAM nodes using
    radar data among other sensors.  This could arguably be broken out into
    its own package and will be if necessary, however the intent is for
    these tools to aid in development for anyone using Ainstein radars.
    The first and only tool in this subpackage is a simple replacement for
    the "CapApp" radar/camera sensor fusion application which draws boxes
    over the image to indicate targets. This requires a calibrated camera
    publishing CameraInfo messages (a RealSense d435i was used for the
    development). A sample launch file for using this with T79 is in the
    launch folder and will probably be replaced with a ROS wiki tutorial.
  * Contributors: Nick Rotella
  * Add 3d bounding box output from radar camera fusion
    Added 3d bounding box publishing from the radar camera fusion class


=== debian/control ===
Source: ros-kinetic-ainstein-radar-tools
Section: misc
Priority: optional
Maintainer: Nick Rotella <nick.rotella@ainstein.ai>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-ainstein-radar-filters, ros-kinetic-ainstein-radar-msgs, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-vision-msgs
Homepage: https://ainstein.ai/
Standards-Version: 3.9.2

Package: ros-kinetic-ainstein-radar-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ainstein-radar-filters, ros-kinetic-ainstein-radar-msgs, ros-kinetic-cv-bridge, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-vision-msgs
Description: Tools for monitoring and validating radar data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ainstein-radar-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
